Package org.eclipse.jdt.core

## Interface IOrdinaryClassFile

All Superinterfaces:
  `IAdaptable`, `IClassFile`, `ICodeAssist`, `IJavaElement`, `IOpenable`, `IParent`, `ISourceReference`, `ITypeRoot`

    public interface IOrdinaryClassFile
    extends IClassFile

Ordinary form of a `IClassFile` which holds exactly one `IType`.

Since:
  3.14
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jdt.core.IJavaElement

`ANNOTATION, CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_MODULE, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE, TYPE_PARAMETER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getType()` Returns the type contained in this class file.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.jdt.core.IClassFile

`becomeWorkingCopy, getBytes, getWorkingCopy, isClass, isInterface`

### Methods inherited from interface org.eclipse.jdt.core.ICodeAssist

`codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeComplete, codeSelect, codeSelect`

### Methods inherited from interface org.eclipse.jdt.core.IJavaElement

`exists, getAncestor, getAttachedJavadoc, getCorrespondingResource, getElementName, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.jdt.core.IOpenable

`close, findRecommendedLineSeparator, getBuffer, hasUnsavedChanges, isConsistent, isOpen, makeConsistent, open, save`

### Methods inherited from interface org.eclipse.jdt.core.IParent

`getChildren, hasChildren`

### Methods inherited from interface org.eclipse.jdt.core.ISourceReference

`exists, getNameRange, getSource, getSourceRange`

### Methods inherited from interface org.eclipse.jdt.core.ITypeRoot

`findPrimaryType, getElementAt, getModule, getWorkingCopy`

### Method Detail

#### getType

    IType getType()

Returns the type contained in this class file. This is a handle-only method. The type may or may not exist.

This method supersedes the corresponding super method. This method will never throw `UnsupportedOperationException`.

Specified by:
  `getType` in interface `IClassFile`
Returns:
  the type contained in this class file